﻿@{
    ViewBag.Title = "History";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@Scripts.Render("~/bundles/jquery")
@Scripts.Render("~/bundles/jsChartCore")
@Scripts.Render("~/Scripts/App/jsStocks-csvHistoricalData.js")

<style>
    .form-horizontal .control-label,
    .form-horizontal .form-control {
        display: inline-block;
    }
</style>
<h2>Google Historical Stock Prices</h2>
<div class="row" style="background-color:#eee;border-radius:.5em;margin-bottom:1em;padding:.5em 1em;">
    <div class="form-horizontal">
        <label class="control-label">History Length</label>
        <input data-bind="value: historyLength" class="form-control" />
        <select data-bind="value: historyScope" class="form-control">
            <option value="years">Years</option>
            <option value="months">Months</option>
            <option value="days">Days</option>
        </select>
    </div>
</div>
<div class="row">
    <div id="chart" data-bind="stockHistoryChart: selectedData"></div>
    <script>
        // Knockout bindings are applied and maintained over the document when everything is loaded.
        // There is an opportunity to inject a specialized data source into the jsChartVm model on init.
        ko.applyBindings(new jsChartVm(new jsStocksCsvHistoricalData(), function () {
            var self = this;
            this.historyLength(2);
            this.historyLength.subscribe(function(){ self.update(); });
            this.historyScope('months');
        }));
    </script>
</div>
